Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.server
Class TypeMappingSerializer

    java.lang.Object
      |
      +--org.apache.soap.server.TypeMappingSerializer

All Implemented Interfaces:
  Deserializer, Serializer

public class TypeMappingSerializer
extends java.lang.Object
implements Serializer, Deserializer

Serialize and deserialize type mappings according to SOAP-Enc.

Constructor Summary
`TypeMappingSerializer()`

Method Summary
`void` | `marshall(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object src, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, SOAPContext ctx)` This is the Serializer interface .. called to serialize an instance of a TypeMapping (the src arg)
`Bean` | `unmarshall(java.lang.String inScopeEncStyle, QName elementType, Node src, XMLJavaMappingRegistry xjmr, SOAPContext ctx)` The deserializer interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeMappingSerializer

    public TypeMappingSerializer()

Method Detail

### marshall

    public void marshall(java.lang.String inScopeEncStyle,
                         java.lang.Class javaType,
                         java.lang.Object src,
                         java.lang.Object context,
                         java.io.Writer sink,
    NSStack nsStack,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

  This is the Serializer interface .. called to serialize an instance of a TypeMapping (the src arg)
  Specified by:
    `marshall` in interface `Serializer`
  Parameters:
    `inScopeEncStyle` - the encoding style currently in scope
    `javaType` - should be org.apache.soap.server.TypeMapping.class
    `src` - instance to serialize as XML
    `context` - accessor name
    `sink` - the writer to write XML into
    `nsStack` - namespace stack
    `xjmr` - unused
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### unmarshall

    public Bean unmarshall(java.lang.String inScopeEncStyle,
    QName elementType,
    Node src,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                    throws java.lang.IllegalArgumentException

  The deserializer interface.
  Specified by:
    `unmarshall` in interface `Deserializer`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.